be.fgov.ehealth.standards.kmehr.cd.v1

## Class CDENCRYPTIONMETHOD

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.cd.v1.CDENCRYPTIONMETHOD

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:52:59+01:00",
                 comments="JAXB RI v2.3.7")
      public class CDENCRYPTIONMETHOD
      extends Object
      implements Serializable

  Java class for CD-ENCRYPTION-METHOD complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CD-ENCRYPTION-METHOD">
         <simpleContent>
           <extension base="<http://www.ehealth.fgov.be/standards/kmehr/cd/v1>CD-ENCRYPTION-METHODvalues">
             <attribute name="S" use="required" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ENCRYPTION-METHODschemes" />
             <attribute name="SV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="DN" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}language" default="en" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDENCRYPTIONMETHOD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDN()` Gets the value of the dn property.
    `String` | `getL()` Gets the value of the l property.
    `CDENCRYPTIONMETHODschemes` | `getS()` Gets the value of the s property.
    `String` | `getSV()` Gets the value of the sv property.
    `CDENCRYPTIONMETHODvalues` | `getValue()` Gets the value of the value property.
    `void` | `setDN(String value)` Sets the value of the dn property.
    `void` | `setL(String value)` Sets the value of the l property.
    `void` | `setS(CDENCRYPTIONMETHODschemes value)` Sets the value of the s property.
    `void` | `setSV(String value)` Sets the value of the sv property.
    `void` | `setValue(CDENCRYPTIONMETHODvalues value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDENCRYPTIONMETHOD

          public CDENCRYPTIONMETHOD()

  - ### Method Detail

    - #### getValue

          public CDENCRYPTIONMETHODvalues getValue()

      Gets the value of the value property.
      Returns:
        possible object is `CDENCRYPTIONMETHODvalues`

    - #### setValue

          public void setValue(CDENCRYPTIONMETHODvalues value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `CDENCRYPTIONMETHODvalues`

    - #### getS

          public CDENCRYPTIONMETHODschemes getS()

      Gets the value of the s property.
      Returns:
        possible object is `CDENCRYPTIONMETHODschemes`

    - #### setS

          public void setS(CDENCRYPTIONMETHODschemes value)

      Sets the value of the s property.
      Parameters:
        `value` - allowed object is `CDENCRYPTIONMETHODschemes`

    - #### getSV

          public String getSV()

      Gets the value of the sv property.
      Returns:
        possible object is `String`

    - #### setSV

          public void setSV(String value)

      Sets the value of the sv property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDN

          public String getDN()

      Gets the value of the dn property.
      Returns:
        possible object is `String`

    - #### setDN

          public void setDN(String value)

      Sets the value of the dn property.
      Parameters:
        `value` - allowed object is `String`

    - #### getL

          public String getL()

      Gets the value of the l property.
      Returns:
        possible object is `String`

    - #### setL

          public void setL(String value)

      Sets the value of the l property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.